Compare Collection Analytics Endpoint
curl --request GET \
--url https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}/analytics/compare \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}/analytics/compare"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}/analytics/compare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"period_a": {
"period_type": "week",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"source": "snapshot",
"market_group_id": "<string>",
"market": "<string>",
"computed_at": "2023-11-07T05:31:56Z",
"pipeline_version": "<string>",
"note": "<string>"
},
"period_b": {
"period_type": "week",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"source": "snapshot",
"market_group_id": "<string>",
"market": "<string>",
"computed_at": "2023-11-07T05:31:56Z",
"pipeline_version": "<string>",
"note": "<string>"
},
"products": [],
"removed_products": [],
"toplists_a": {},
"toplists_b": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Compare Collection Analytics Endpoint
GET
/
api
/
v1
/
merchants
/
{merchant_id}
/
collections
/
{collection_id}
/
analytics
/
compare
Compare Collection Analytics Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Available options:
week, month, week4 ISO date — period A start
ISO date — period B start
Response
CollectionProductCompareResponse · object | null
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

